
;
; NetHASP Configuration file syntax.
;
;
; Note:
;
; All text lines were commented.
; Remove comments in the lines you want to use.
;


[NH_COMMON]

;
; Section-specific Keywords
;

;
; You can set only ONE of the following three Keywords to "Enabled"!
;
;;NH_IPX = Enabled or Disabled 		; Use the IPX protocol
;;NH_NETBIOS = Enabled or Disabled	; Use the NETBIOS protocol
;;NH_TCPIP = Enabled or Disabled	; Use the TCP/IP protocol

;;NH_MACHINE = IBM or NEC		; The computer on which the protected
					; application is activated.
					; Default: IBM

;
; General Keywords
;
;;NH_SESSION = <Num>			; See Adapting the Timeout Length 
;;NH_SEND_RCV = <Num>			; in the HASP Programmer's Guide.



[NH_IPX]

;
; Section-specific Keywords for the IPX protocol.
;

;;NH_USE_BINDERY = Enabled or Disabled	; Use IPX with bindery.
					; Default:  Disabled
					; Ignored under Win32 API.
					; This switch replaces older switch
					; named NH_USE_SAP.

;;NH_USE_BROADCAST = Enabled or Disabled; Use IPX Broadcast mechanism.
					; Default:  Enabled

;;NH_BC_SOCKET_NUM = <Number>		; Broadcast socket number (HEX).
					; Default:  7483H

;;NH_USE_INT = 2F_NEW or 7A_OLD		; 2F_NEW means that IPX protocol will 
					; use interrupt 2Fh ONLY.
					; 7A_OLD means that IPX protocol will 
					; use interrupt 7Ah ONLY.
					; Default:  2F_NEW.

;;NH_SERVER_NAME = <Name1>, <Name2>,..	; Communicate with the NetHASP 
					; Server with the specified name.
					; Maximum: 6 names, up to 7 
					; case-insensitive characters each.

;;NH_SEARCH_METHOD = Localnet or Internet ; See Local Networks and
					  ; Internetworks in the HASP
                                          ; Programmer's Guide.

;;NH_DATFILE_PATH = <path>		; Specify the location of the NetHASP 
					; License Manager's address file.

;
; General Keywords
;
;;NH_SESSION = <Num>			; See Adapting the Timeout Length 
;;NH_SEND_RCV = <Num>			; in the HASP Programmer's Guide.


[NH_NETBIOS]

;
; Section-specific Keywords for the NetBIOS protocol.
;
;;NH_NBNAME = <Name>			; Assign a name to the NetHASP 
					; License Manager.
					; 1 name possible, up to 8 
					; case-insensitive characters.

;;NH_USELANANUM = <Num>			; Assign a lana number to be used
					; as a communication channel.
;
; General Keywords
;
;;NH_SESSION = <Num>			; See Adapting the Timeout Length 
;;NH_SEND_RCV = <Num>			; in the HASP Programmer's Guide.


[NH_TCPIP]

;
; NetHASP does not support TCP/IP under DOS.
;

;
; Section-specific Keywords for the TCP/IP protocol.
;

;;NH_SERVER_ADDR = <Addr1>, <Addr2> 	; IP addresses of all the NetHASP 
					; License Managers you want to search.
					; Unlimited addresses and multiple
					; lines are possible.
					;
					; Possible address format examples:
					;  IP address:      192.114.176.65
					;  Local Hostname:  ftp.aladdin.co.il

;;NH_PORT_NUMBER = <Num>		; Set the TCP/IP port number. This is
					; optional. The default number is 475.


;;NH_TCPIP_METHOD = TCP or UDP		; Send a TCP packet or UDP packet
					; Default:  UDP
;;NH_USE_BROADCAST = Enabled or Disabled; Use TCPI/IP Broadcast mechanism.
					; Default:  Enabled

;;NH_SERVER_NAME = <Name1>, <Name2>,	; Communicate with the NetHASP 
					; Server with the specified name.
					; Maximum: 6 names, up to 7 
					; case-insensitive characters each.

;
; General Keywords.
;
;;NH_SESSION = <Num>			; See Adapting the Timeout Length 
;;NH_SEND_RCV = <Num>			; in the HASP Programmer's Guide.
